Bug 1649544 - gnome-shell crash when closing a window
Summary: gnome-shell crash when closing a window
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 20:34 UTC by Richard Geary
Modified: 2019-11-27 19:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:54:32 UTC


Attachments (Terms of Use)
journalctl log fragment of the gnome-shell crash (19.45 KB, text/plain)
2018-11-13 20:34 UTC, Richard Geary
no flags Details

Description Richard Geary 2018-11-13 20:34:33 UTC
Created attachment 1505422 [details]
journalctl log fragment of the gnome-shell crash

Description of problem:
Whilst using JetBrains CLion, some combination of window openings cause gnome-shell to crash, immediately logging the user out

Version-Release number of selected component (if applicable):
Fedora 29

How reproducible:
100%

Steps to Reproduce:
1. Install CLion 2018.2.4
2. Select some text, press ctrl-c
3. Select some other text, press ctrl-c
4. Press Ctrl+Shift+F to open "Find In All Files", then Ctrl-Shift-V "Paste from history"
5. The "Choose Contents to Paste" popup appears.  Press Esc.
6. gnome-shell crashes

Actual results:
gnome-shell crash

Expected results:
No crash.  I don't expect user process to crash the whole login shell; any issues should only terminate the process.

Additional info:
Ref: https://youtrack.jetbrains.com/issue/IDEA-198187

Comment 1 Ben Cotton 2019-10-31 20:30:43 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 19:54:32 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.